@model EpiTicket.Models.Event
@using CloudinaryDotNet

@{
    ViewData["Title"] = "Détails de l'événement";
}

<h1>Détails de @Model.Name</h1>

<div>
    <hr />
    @if (Model.Poster == null)
    {
        @Html.Raw(EpiTicket.Data.Cloudinary.Instance.Api.UrlImgUp.Transform(new Transformation().Width(500).Height(300).Crop("fill").Radius("8")
                                                                       ).BuildImageTag("EpiTicket/placeholder-event", new CloudinaryDotNet.StringDictionary("alt=" + Model.Name)))
    }
    else
    {
        @Html.Raw(EpiTicket.Data.Cloudinary.Instance.Api.UrlImgUp.Transform(new Transformation().Width(500).Height(300).Crop("fill").Radius("8")
                                                                               ).BuildImageTag(Model.Poster, new CloudinaryDotNet.StringDictionary("alt=" + Model.Name)))
    }
    <dl class="row">
        <dt class="col-sm-2">
            Nom
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Name)
        </dd>
        <dt class="col-sm-2">
            Description
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Description)
        </dd>
        <dt class="col-sm-2">
            Lieu
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Location)
        </dd>
        <dt class="col-sm-2">
            Nombre de places
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Capacity)
        </dd>
        <dt class="col-sm-2">
            Prix
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Price)&euro;
        </dd>
        <dt class="col-sm-2">
            Début de l'événement
        </dt>
        <dd class="col-sm-10">
            @String.Format("{0:dd/MM/yyyy HH:mm}", Model.StartDate)
        </dd>
        <dt class="col-sm-2">
            Fin de l'événement
        </dt>
        <dd class="col-sm-10">
            @String.Format("{0:dd/MM/yyyy HH:mm}", Model.EndDate)
        </dd>
        <dt class="col-sm-2">
            Organisateur
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Organizer.Name)
        </dd>
    </dl>
</div>
<div>
    <a asp-action="Edit" asp-route-id="@Model.EventId">Modifier</a> |
    <a asp-action="Index">Retourner à la liste des événements</a> |
    <a asp-action="Index" asp-controller="Purchase" asp-route-id="@Model.EventId">Acheter un ticket</a>
</div>
